Saltar al contenido
Guías
Preparación y envíosConfiguración
settings:read

Obtener configuración de envíos

GET/v1/shipping/settings

Obtener configuración de envíos. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/shipping/settings" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "storeId": "7204558912004325301",  "defaultLocationId": "7204558912004325301",  "estimatedDeliveryEnabled": false,  "estimatedDeliveryFulfillmentDays": 1,  "pickupEnabled": false,  "localDeliveryEnabled": false,  "useLiveRates": false}